//
//  ANGGradient.h
//  ANGAdditions
//
//  Created by Cyril Anger on 25/01/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum {
	ANGLinearGradient = 0,
	ANGBilinearGradient = 1
} ANGGradientType;

@interface ANGGradient : NSObject <NSCoding> {
	NSColor *startColor;
	NSColor *endColor;
	NSColor *borderColor;
	ANGGradientType type;
}

+ (ANGGradient *)aquaGradient;
+ (ANGGradient *)darkAquaGradient;
+ (ANGGradient *)bilinearWhiteGradient;
+ (ANGGradient *)gradientWithColor:(NSColor *)color;

- (id)initWithStartColor:(NSColor *)newStartColor endColor:(NSColor *)newEndColor borderColor:(NSColor *)newBorderColor type:(ANGGradientType)newType;
- (NSColor *)startColor;
- (void)setStartColor:(NSColor *)newStartColor;
- (NSColor *)endColor;
- (void)setEndColor:(NSColor *)newEndColor;
- (NSColor *)borderColor;
- (void)setBorderColor:(NSColor *)newBorderColor;
- (ANGGradientType)type;
- (void)setType:(ANGGradientType)newType;

@end
