//
//  ANGStackCell.h
//  ANGAdditions
//
//  Created by Cyril Anger on 03/02/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGStackCell : NSActionCell {
	int firstItemIndex;
	int highlightedItem;
	BOOL canChangeSelectedItem;
    float animationProgress;
	BOOL isVertical;
    int numberOfItems;
	int numberOfItemsDisplayed;
	NSRect previousWidgetFrame;
	NSRect nextWidgetFrame;
	
	IBOutlet id dataSource;
}

- (void)updateAttributesWithCellFrame:(NSRect)cellFrame;
- (NSRect)frameForItem:(int)index withCellFrame:(NSRect)cellFrame;
- (int)itemAtPoint:(NSPoint)point withCellFrame:(NSRect)cellFrame;
- (void)animate;
- (int)firstItemIndex;
- (int)highlightedItem;
- (void)setHighlightedItem:(int)newHighlightedItem;
- (int)selectedItem;
- (void)setSelectedItem:(int)index;
- (BOOL)canChangeSelectedItem;
- (void)setCanChangeSelectedItem:(BOOL)flag;
- (id)dataSource;
- (void)setDataSource:(id)newDataSource;

@end

@interface NSObject (ANGStackCellDataSource)

- (int)numberOfItemsInStackCell:(ANGStackCell *)stackCell;
- (NSImage *)iconForItem:(int)index inStackCell:(ANGStackCell *)stackCell;

@end
