//
//  ANGArrayController.h
//  ANGAdditions
//
//  Created by Cyril Anger on 01/11/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <ANGAdditions/ANGSortedArrayController.h>
#import <ANGAdditions/ANGArrayControllerObserver.h>
#import <ANGAdditions/ANGObjectsManager.h>

extern NSString *ANGArrayControllerContext;

@interface ANGArrayController : ANGSortedArrayController {
	ANGObjectsManager *manager;
	ANGArrayControllerObserver *observer;
	BOOL allowsDragDropCopyCutPaste;
	BOOL canBeOrdered;
	NSString *defaultEditColumn;
	
	IBOutlet ANGArrayController *childController;
    IBOutlet NSWindow *editWindow;
	IBOutlet NSTableView *objectsView;
}

@property (assign) ANGObjectsManager *manager;
@property (retain) ANGArrayControllerObserver *observer;
@property (readonly) NSArray *observedKeyPaths;
@property (readonly) NSString *draggedType;
@property (assign) BOOL allowsDragDropCopyCutPaste;
@property (assign) BOOL canBeOrdered;
@property (retain) NSString *defaultEditColumn;
@property (assign) ANGArrayController *childController;
@property (readonly) NSTableView *objectsView;

@end
