//
//  ANGImageAdditions.h
//  ANGAdditions
//
//  Created by Cyril Anger on 18/11/04.
//  Copyright 2004 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <ANGAdditions/ANGBezierPathAdditions.h>

#define ANGImage(name) [NSImage imageNamed:name inBundle:[NSBundle bundleWithIdentifier:@"com.angeman.ANGAdditions"]]

@interface NSImage (ANGImageAdditions)

+ (NSImage *)imageNamed:(NSString *)name inBundle:(NSBundle *)bundle;
+ (NSImage *)gradient:(ANGGradient *)gradient withSize:(NSSize)size;
+ (NSImage *)colorIcon:(NSColor *)color withSize:(NSSize)size;
- (NSSize)maxProportionalSizeForSize:(NSSize)maxSize;
- (void)compositeToPoint:(NSPoint)point withMaxSize:(NSSize)maxSize;
- (NSImage *)resizedImageWithMaxSize:(NSSize)maxSize;
- (NSImage *)reflectedImage;
- (NSImage *)darkenedImage;
- (NSImage *)disabledImage;
- (NSImage *)imageByAddingIcon:(NSImage *)icon;

@end
