//
//  ANGBezierPathAdditions.h
//  ANGAdditions
//
//  Created by Cyril Anger on 23/02/05.
//  Copyright 2005 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <ANGAdditions/ANGGradient.h>

typedef enum {
	ANGTriangleUp = 0,
	ANGTriangleRight = 1,
	ANGTriangleDown = 2,
	ANGTriangleLeft = 3
} ANGTriangleOrientation;

@interface NSBezierPath (ANGBezierPathAdditions)

+ (void)darkenRect:(NSRect)rect;
+ (void)lightenRect:(NSRect)rect;
+ (NSBezierPath *)bezierPathWithTriangleInRect:(NSRect)rect orientation:(ANGTriangleOrientation)orientation;
- (void)appendBezierPathWithTriangleInRect:(NSRect)rect orientation:(ANGTriangleOrientation)orientation;
- (NSBezierPath *)pathForStroking;
- (void)fillGradient:(ANGGradient *)gradient alpha:(float)alpha;

@end
