//
//  ANGFilter.h
//  ANGAdditions
//
//  Created by Cyril Anger on 07/02/08.
//  Copyright 2008 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum {
	SimpleFilter = 0,
	EnumFilter = 1,
	SearchFilter = 2
} ANGFilterType;

@interface ANGFilter : NSObject <NSCoding> {
	NSString *name;
	ANGFilterType type;
	NSFormatter *formatter;
	int currencyTolerance;
	NSString *predicate;
	float width;
	short tag;
}

@property (retain) NSString *name;
@property (assign) ANGFilterType type;
@property (retain) NSFormatter *formatter;
@property (assign) BOOL dateFormat;
@property (assign) BOOL currencyFormat;
@property (assign) int currencyTolerance;
@property (retain) NSString *predicate;
@property (assign) float width;
@property (assign) short tag;

- (BOOL)isCompatibleWithFilter:(ANGFilter *)filter;

@end
