//
//  ANGObject.h
//  ANGAdditions
//
//  Created by Cyril Anger on 14/11/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ANGObjectsManager;

@interface ANGObject : NSObject <NSCoding> {
	ANGObjectsManager *manager;
	NSString *uniqueID;
	NSMutableDictionary *changes;
}

@property (assign) ANGObjectsManager *manager;
@property (retain) NSString *uniqueID;
@property (retain) NSMutableDictionary *changes;
@property (readonly) NSArray *synchronizedKeys;
@property (readonly) id defaultObject;
@property (readonly) BOOL isDefault;

- (id)initWithManager:(ANGObjectsManager *)newManager;
- (void)delete;
- (void)compareWithObject:(ANGObject *)previousObject;
- (void)synchronizeWithObject:(ANGObject *)currentObject;
- (NSUndoManager *)undoManager;
- (NSString *)validKeyForKey:(NSString *)key;
- (id)validValue:(id)value forKey:(NSString *)key;

@end
