//
//  ANGScrollView.h
//  ANGAdditions
//
//  Created by Cyril Anger on 22/12/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <ANGAdditions/ANGArrayController.h>
#import <ANGAdditions/ANGTextField.h>

@interface ANGScrollView : NSScrollView {
	ANGArrayController *selectedController;
	
	IBOutlet id dataSource;
	IBOutlet NSObjectController *proxy;
	IBOutlet NSView *detailsView;
}

@property (assign) ANGArrayController *selectedController;
@property (readonly) ANGArrayController *defaultController;

- (void)subviewFrameDidChange:(NSNotification *)notification;
- (void)subviewSelectionDidChange:(NSNotification *)notification;

@end

@interface NSObject (ANGScrollViewDataSource)

- (NSArray *)controllersForScrollView:(ANGScrollView *)scrollView;
- (ANGTextField *)scrollView:(ANGScrollView *)scrollView titleFieldForController:(ANGArrayController *)controller;
- (NSView *)scrollView:(ANGScrollView *)scrollView detailsViewForController:(ANGArrayController *)controller;

@end
