//
//  ANGFilterBar.h
//  ANGAdditions
//
//  Created by Cyril Anger on 07/02/08.
//  Copyright 2008 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <ANGAdditions/ANGFilter.h>

@interface ANGFilterBar : NSImageView {
	NSString *autosaveName;
	BOOL autosaveValues;
	NSMutableArray *filters;
	NSButton *allButton;
	NSMutableDictionary *widgets;
	NSPoint widgetsOrigin;
	NSImageView *expandView;
}

@property (copy) NSString *autosaveName;
@property (assign) BOOL autosaveValues;
@property (retain) NSMutableArray *filters;
@property (retain) NSButton *allButton;
@property (retain) NSMutableDictionary *widgets;
@property (retain) NSImageView *expandView;
@property (readonly) NSPredicate *predicate;

- (NSString *)autosaveNameForFilter:(ANGFilter *)filter;
- (NSString *)autosaveNameForFilterValue:(ANGFilter *)filter;
- (void)updateUI;
- (void)updateWidgets;
- (id)createWidget:(NSString *)title forFilter:(ANGFilter *)filter;
- (ANGFilter *)filterForWidget:(id)widget;
- (void)saveFilterValues;
- (void)loadFilterValues;

- (IBAction)toggleFilter:(id)sender;
- (IBAction)filter:(id)sender;
- (IBAction)setCurrencyToleranceFrom:(NSMenuItem *)item;
- (IBAction)setDateFrom:(NSMenuItem *)item;

@end
