//
//  ANGTCPServer.h
//  iCompta Mobile
//
//  Created by Cyril Anger on 17/04/08.
//  Copyright 2008 Angeman. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <sys/socket.h>

#import <ANGAdditions/ANGTCPConnection.h>

@protocol ANGTCPServerDelegate;

@interface ANGTCPServer : NSObject {
	CFRunLoopRef runLoop;
	CFSocketRef serverSocket;
	UInt16 port;
	CFNetServiceRef netService;
	BOOL isRunning;
	struct sockaddr *localAddress;
	NSMutableSet *connections;
	id <ANGTCPServerDelegate> delegate;
}

@property (assign) BOOL isRunning;
@property (readonly) UInt16 localPort;
@property (readonly) NSString *localAddress;
@property (retain) NSMutableSet *connections;
@property (assign) id <ANGTCPServerDelegate> delegate;

- (id)initWithPort:(UInt16)newPort;
- (BOOL)start;
- (void)stop;
- (BOOL)enableBonjourWithProtocol:(NSString *)protocol;
- (void)disableBonjour;
- (void)handleNewConnectionWithSocket:(NSSocketNativeHandle)socket;
- (void)addConnection:(ANGTCPConnection *)connection;
- (void)removeConnection:(ANGTCPConnection *)connection;

@end

@protocol ANGTCPServerDelegate <NSObject>

@optional

- (void)serverDidStart:(ANGTCPServer *)server;
- (void)serverWillStop:(ANGTCPServer *)server;
- (void)server:(ANGTCPServer *)server didOpenConnection:(ANGTCPConnection *)connection;
- (void)server:(ANGTCPServer *)server didCloseConnection:(ANGTCPConnection *)connection;

@end
