//
//  ANGTextFieldCell.h
//  ANGAdditions
//
//  Created by Cyril Anger on 26/05/05.
//  Copyright 2005 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGTextFieldCell : NSTextFieldCell {
	NSString *iconName;
	NSImage	*icon;
	BOOL drawsIconReflection;
	BOOL drawsTitleShadow;
	NSTextFieldCell *commentCell;
	BOOL drawsCommentShadow;
	NSArray *leftStatusIcons;
	NSArray *rightStatusIcons;
}

- (NSRect)iconRectForBounds:(NSRect)bounds;
- (NSRect)titleRectForBounds:(NSRect)bounds;
- (NSRect)commentRectForBounds:(NSRect)bounds;

- (NSString *)iconName;
- (void)setIconName:(NSString *)newIconName;
- (NSImage *)icon;
- (void)setIcon:(NSImage *)newIcon;
- (BOOL)drawsIconReflection;
- (void)setDrawsIconReflection:(BOOL)flag;
- (BOOL)drawsTitleShadow;
- (void)setDrawsTitleShadow:(BOOL)flag;
- (NSString *)comment;
- (void)setComment:(NSString *)comment;
- (NSFont *)commentFont;
- (void)setCommentFont:(NSFont *)font;
- (NSColor *)commentColor;
- (void)setCommentColor:(NSColor *)color;
- (BOOL)drawsCommentShadow;
- (void)setDrawsCommentShadow:(BOOL)flag;
- (NSArray *)leftStatusIcons;
- (void)setLeftStatusIcons:(NSArray *)newLeftStatusIcons;
- (NSArray *)rightStatusIcons;
- (void)setRightStatusIcons:(NSArray *)newRightStatusIcons;

@end
